#ifndef __CREDENTIALS_H__
#define __CREDENTIALS_H__

/* to enable Terminal Mode in order to verify connections.
Setting TerminalMode to 1 the program starts without attemptong a connection to a WiFi
network. You can use wathever terminal emulation program (even the one included in Arduino
IDE) to send commands to WiFly and to read the replies. */
boolean TerminalMode = 0;

/* Wifi parameters. Set here the name of the network (SSID) you are going to associate to. */
char ssid[] = "mazzoli";

/* Setting Wap to 0 the program use WEP protocol to attemp a connection. 
if 1 = WPA, if 0 = WEP */
boolean Wap = 0;

/* This can be used for both WAP passphrase or WEP128 key
if used for WEP 128 WepKey it MUST be exactly 13 char
E.g.: for a password like "0102030405060"
it could be 13 HEX char
E.g.: char passphrase[] = "01020304050607080900010203";  
or 13 ASCII converted HEX char 
E.g.: char passphrase[] = "30313032303330343035303630";  */
      char passphrase[] = "30313032303330343035303630";

/* The URL and the port of the WEB server you are going to connect to  */
char WebSite[] = "www.robertopugliese.com";
char WebPort[] = "80";

/* The command to be used to get the value, i.e. the complete URL of the page  */
char WebGet[] = "GET http://www.robertopugliese.com/lmv";
#endif


/* LED blink meanings.
Yellow LED blinks when the hammer hits. 
  This is syncronous with buzzer (if enabled with jumper).
Red and green LEDs blink alternatively with the following meanings:
- No blink -> trying to associate to a valid network
- Normal symmetrical blink (500ms symmetrical) -> associated, getting data from internet
- Fast symmetrical blink (100ms symmetrical) -> associated, temporary error on getting 
  data from internet
- Slow symmetrical blink (2000ms symmetrical) -> associated, getting data from internet, 
  no PIR activity, not hitting hammer
- Normal asymmetrical blink (800-200ms asymmetrical) -> failed association with a valid network,
  not getting data from internet, hitting hammerr with the last valid time data got from internet
*/
